Skip to content

Adds a new feature to a product.

POST
/api/v1/provision/admin/assets/products/{productId}/features
curl --request POST \
--url https://api.monetizeit.example/api/v1/provision/admin/assets/products/example/features \
--header 'Content-Type: application/json-patch+json' \
--data '{ "name": "example", "usageMetric": "example", "moduleName": "example", "featureCode": "example", "description": "example", "value": "example", "units": "example", "type": "example", "isAvailableDuringTrialPeriod": true, "isAvailableDuringGracePeriod": true, "isEnabled": true, "canModifyValueOnEntitlement": true, "canModifyEnabledOnEntitlement": true, "meteredAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
  • oidc
    email profile roles
productId
required
string format: uuid

The unique identifier of the product.

The details of the feature to be added.

object
name
string
usageMetric
string
moduleName
string
featureCode
string
description
string
value
string
units
string
type
string
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
isEnabled
boolean
canModifyValueOnEntitlement
boolean
canModifyEnabledOnEntitlement
boolean
meteredAssetId
string format: uuid
Example generated
{
"name": "example",
"usageMetric": "example",
"moduleName": "example",
"featureCode": "example",
"description": "example",
"value": "example",
"units": "example",
"type": "example",
"isAvailableDuringTrialPeriod": true,
"isAvailableDuringGracePeriod": true,
"isEnabled": true,
"canModifyValueOnEntitlement": true,
"canModifyEnabledOnEntitlement": true,
"meteredAssetId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK

object
id
string format: uuid
featureCode
string
featurePath
string
moduleName
string
name
string
description
string
value
string
version
string
isEnabled
boolean
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
canModifyValueOnEntitlement
boolean
isDeleted
boolean
creationTimeStamp
string format: date-time
lastUpdateTimeStamp
string format: date-time
revisionNumber
integer format: int32